<?php
/**
 * Social Care Charity functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Social Care Charity
 */


if ( ! function_exists( 'social_care_charity_support' ) ) :
	function social_care_charity_support() {

		load_theme_textdomain( 'social-care-charity', get_template_directory() . '/languages' );
		
		add_theme_support( 'html5', array(
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'custom-background', apply_filters( 'social_care_charity_custom_background', array(
            'default-color' => 'fafafa',
            'default-image' => '',
        )));
		
		add_theme_support( 'wp-block-styles' );

		add_editor_style( 'style.css' );

		define('SOCIAL_CARE_CHARITY_BUY_NOW',__('https://www.themescarts.com/products/solar-wordpress-theme/','social-care-charity'));
		define('SOCIAL_CARE_CHARITY_FOOTER_BUY_NOW',__('https://www.themescarts.com/products/social-care-charity/','social-care-charity'));

	}
endif;
add_action( 'after_setup_theme', 'social_care_charity_support' );


if ( ! function_exists( 'social_care_charity_setup' ) ) :
	function social_care_charity_setup() {

		load_theme_textdomain( 'social-care-charity', get_template_directory() . '/languages' );
		
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'align-wide' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'wp-block-styles' );
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 192,
				'width'       => 192,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);
		add_theme_support( 'block-nav-menus' );
		add_theme_support( 'experimental-link-color' );
		register_nav_menus(
			array(
				'primary' => __( 'Primary Navigation', 'social-care-charity' ),
			)
		);
	}
endif;
add_action( 'after_setup_theme', 'social_care_charity_setup' );




/**
 * Enqueue scripts and styles.
 */
function social_care_charity_scripts() {
	$min  = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

	$theme_version = wp_get_theme()->get( 'Version' );

	$deps = array( 'dashicons' );
	global $wp_styles;
	if ( in_array( 'wc-blocks-vendors-style', $wp_styles->queue ) ) {
		$deps[] = 'wc-blocks-vendors-style';
	}

	wp_enqueue_style( 'social-care-charity-style', get_stylesheet_uri(), $deps, date( 'Ymd-Gis', filemtime( get_theme_file_path( 'style.css' ) ) ) );

	$social_care_charity_enable_animations = get_option( 'social_care_charity_enable_animations', true );

    if ( $social_care_charity_enable_animations ) {
        //animation
		wp_enqueue_script( 'animate-js', get_theme_file_uri( '/js/animate.js' ), array( 'jquery' ), true );

		wp_enqueue_style( 'animate-css', get_template_directory_uri().'/css/animate.css' );
    }

	wp_style_add_data('social-care-charity', 'rtl', 'replace');

	wp_enqueue_script('social-care-charity-main-script', get_template_directory_uri() . '/js/script.js', array('jquery'), SOCIAL_CARE_CHARITY_VERSION, true);

		//font-awesome
	wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/css/font-awesome/css/all.css', array(), '5.15.3' );

}
add_action( 'wp_enqueue_scripts', 'social_care_charity_scripts' );

/**
 * Enqueue admin scripts and styles.
 */
function social_care_charity_admin_scripts() {
	$min  = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

	$theme_version = wp_get_theme()->get( 'Version' );

	$deps = array();

	wp_enqueue_style( 'social-care-charity-admin-style', get_stylesheet_directory_uri() . '/css/admin-style.css', $deps, date( 'Ymd-Gis', filemtime( get_theme_file_path( 'style.css' ) ) ) );
	
	wp_enqueue_style(
		'social-care-charity-admin-css',
		get_template_directory_uri() . '/notice-getstart/theme-info.css',
		[],
		wp_get_theme()->get( 'Version' )
	);

	// Enqueue JS
	wp_enqueue_script(
		'social-care-charity-admin-js',
		get_template_directory_uri() . '/notice-getstart/theme-info.js',
		[],
		wp_get_theme()->get( 'Version' ),
		true // Load in footer
	);

}
add_action( 'admin_enqueue_scripts', 'social_care_charity_admin_scripts' );

/**
 * Load core file.
 */
require_once get_template_directory() . '/core/init.php';



/** 
 * Customizer
 */
require get_template_directory() . '/core/section-pro/customizer.php';

/** 
 * Animation
 */

require get_template_directory() . '/animation-setting.php';



/**
 * Current theme path.
 * Current theme url.
 * Current theme version.
 * Current theme name.
 * Current theme option name.
 */
define( 'SOCIAL_CARE_CHARITY_PATH', trailingslashit( get_template_directory() ) );
define( 'SOCIAL_CARE_CHARITY_URL', trailingslashit( get_template_directory_uri() ) );
define( 'SOCIAL_CARE_CHARITY_VERSION', '1.0.0' );
define( 'SOCIAL_CARE_CHARITY_THEME_NAME', 'social-care-charity' );
define( 'SOCIAL_CARE_CHARITY_OPTION_NAME', 'social-care-charity' );

/**
 * The core theme class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require SOCIAL_CARE_CHARITY_PATH . 'notice-getstart/main.php';


/**
 * Begins execution of the theme.
 *
 * @since    1.0.0
 */
function social_care_charity_run() {
	new Social_Care_Charity();
}
social_care_charity_run();